Bug 1007484 - CLI - undefine operation on wsdl-host attribute of webservices subsystem results in reload required but affects existing deployments immediately
CLI - undefine operation on wsdl-host attribute of webservices subsystem resu...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER6
: EAP 6.2.0
Assigned To: Alessio Soldano
Rostislav Svoboda
Russell Dickenson
:
Depends On:
Blocks: 1031590
  Show dependency treegraph
 
Reported: 2013-09-12 10:55 EDT by Petr Sakař
Modified: 2014-06-18 03:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1031590 (view as bug list)
Environment:
Last Closed: 2013-12-15 11:20:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
deployed war with webservice (4.11 KB, application/x-webarchive)
2013-09-12 10:55 EDT, Petr Sakař
no flags Details

  None (edit)
Description Petr Sakař 2013-09-12 10:55:59 EDT
Created attachment 796907 [details]
deployed war with webservice

Description of problem:
CLI - undefine operation on wsdl-host attribute of webservices subsystem results in reload required but affects existing deployments immediately

Version-Release number of selected component (if applicable):
6.2.0.ER1

How reproducible:
always

Steps to Reproduce:
1. start AS
   ./jboss-eap-6.1/bin/standalone.sh
2. modify wsdl host to use other value then default
   ./jboss-eap-6.1/bin/jboss-cli.sh -c "/subsystem=webservices/:write-attribute(name=wsdl-host,value=test.domain.com"
3. reload server as required by previous operation
   ./jboss-eap-6.1/bin/jboss-cli.sh -c "reload"
4. deploy war with web service
   ./jboss-eap-6.1/bin/jboss-cli.sh -c "deploy /tmp/CLIWebservicesWsdlPortTestCase.war"
5. undefine wsdl host 
   ./jboss-eap-6.1/bin/jboss-cli.sh -c "/subsystem=webservices/:undefine-attribute(name=wsdl-host)"

Actual results:
 Result {"outcome" => "success","response-headers" => {"operation-requires-reload" => true,"process-state" => "reload-required"}}
 soapAddress in generated wsdl 
     <soap:address location="http://localhost:8080/CLIWebservicesWsdlPortTestCase/AnnotatedSecurityService"/>,

Expected results:
     <soap:address location="http://test.domain.com:8080/CLIWebservicesWsdlPortTestCase/AnnotatedSecurityService"/>
Comment 5 Petr Sakař 2013-10-17 03:29:13 EDT
verified with procedure described in description that wsdl retrived from http://localhost:8080/CLIWebservicesWsdlPortTestCase/AnnotatedSecurityService?wsdl
contains expected <soap:address location="http://test.domain.com:8080/CLIWebservicesWsdlPortTestCase/AnnotatedSecurityService"/>

Note You need to log in before you can comment on or make changes to this bug.